function [voltage_out] = multi_power_SSPM(bias_voltage, power_voltage, input_current, frequency, for_iterations)

V_out = zeros(length(power_voltage),1);

for j = 1:length(power_voltage)
    V_out(j) = SSPM_amp(bias_voltage, power_voltage(j), input_current, frequency, for_iterations);
end

voltage_out = V_out;